Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
07.03.2021, 10:01:36

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 25346
  • Letzte: Nahuta
Statistiken
  • Beiträge insgesamt: 720377
  • Themen insgesamt: 58243
  • Heute online: 602
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online

Autor Thema:  Updates auf 19.1 bringen defekte Pakete  (Gelesen 265 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Updates auf 19.1 bringen defekte Pakete
« am: 16.01.2021, 16:02:24 »
LinuxMint 19.1 MATE 64bit

Hallo,

nach einem Update heute habe ich viele defekte Pakete Die lassen sich auch in Synaptic nicht
mit  <defekte Pakete reparieren>.

Es kommt diese Meldung:

E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.
E: Auflösen der Abhängigkeiten ist fehlgeschlagen

Was tun?

Re: Updates auf 19.1 bringen defekte Pakete
« Antwort #1 am: 16.01.2021, 19:28:34 »
Es sind zusammen zehn defekte Pakete. Terminal kein Problem. Ich kann im Synaptic den Filter für defekte Pakete anstellen. Dann zeigt er weit mehr als zehn Pakete mit rotem Kreuz an. Ich habe ja nicht geschludert, sondern auf irgendeinem Update-Server waren die falschen Pakete.
Kann ich den Update nicht insgesamt zurückrollen?

Re: Updates auf 19.1 bringen defekte Pakete
« Antwort #2 am: 16.01.2021, 20:42:27 »
es stand ein einziges Paket im Pool:  mint-upgrade-info (1.1.4) to 1.1.5

sabi@sabi-Lenovo-G550:~$ sudo dpkg --configure -a
[sudo] Passwort für sabi:   
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von samba-libs:amd64:
 samba-libs:amd64 hängt ab von libwbclient0 (= 2:4.7.6+dfsg~ubuntu-0ubuntu2.21); aber:
  Version von libwbclient0:amd64 auf dem System ist 2:4.7.6+dfsg~ubuntu-0ubuntu2.11.

dpkg: Fehler beim Bearbeiten des Paketes samba-libs:amd64 (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von python-samba:
 python-samba hängt ab von samba-libs (= 2:4.7.6+dfsg~ubuntu-0ubuntu2.21); aber:
  Paket samba-libs:amd64 ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes python-samba (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von cups:
 cups hängt ab von cups-daemon (>= 2.2.7-1ubuntu2.8); aber:
  Version von cups-daemon auf dem System ist 2.2.7-1ubuntu2.7.

dpkg: Fehler beim Bearbeiten des Paketes cups (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von cups-core-drivers:
 cups-core-drivers hängt ab von cups-daemon (>= 2.2.7-1ubuntu2.8); aber:
  Version von cups-daemon auf dem System ist 2.2.7-1ubuntu2.7.

dpkg: Fehler beim Bearbeiten des Paketes cups-core-drivers (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von libsane1:amd64:
 libsane1:amd64 hängt ab von libsane-common (= 1.0.27-1~experimental3ubuntu2.4); aber:
  Version von libsane-common auf dem System ist 1.0.27-1~experimental3ubuntu2.1.

dpkg: Fehler beim Bearbeiten des Paketes libsane1:amd64 (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von samba-common-bin:
 samba-common-bin hängt ab von python-samba; aber:
  Paket python-samba ist noch nicht konfiguriert.
 samba-common-bin hängt ab von samba-common (= 2:4.7.6+dfsg~ubuntu-0ubuntu2.21); aber:
  Version von samba-common auf dem System ist 2:4.7.6+dfsg~ubuntu-0ubuntu2.11.
 samba-common-bin hängt ab von samba-libs (= 2:4.7.6+dfsg~ubuntu-0ubuntu2.21); aber:
  Paket samba-libs:amd64 ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes samba-common-bin (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von sane-utils:
 sane-utils hängt ab von libsane1 (>= 1.0.27); aber:
  Paket libsane1:amd64 ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes sane-utils (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von bluez-cups:
 bluez-cups hängt ab von cups; aber:
  Paket cups ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes bluez-cups (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 samba-libs:amd64
 python-samba
 cups
 cups-core-drivers
 libsane1:amd64
 samba-common-bin
 sane-utils
 bluez-cups
sabi@sabi-Lenovo-G550:~$ sudo apt-get update && sudo apt-get install -f
Ign:1 http://ftp-stud.hs-esslingen.de/pub/Mirrors/packages.linuxmint.com tessa InRelease
OK:2 http://ftp-stud.hs-esslingen.de/ubuntu bionic InRelease                                                                                                           
OK:3 http://ftp-stud.hs-esslingen.de/ubuntu bionic-updates InRelease                                                                                                   
OK:4 https://repo.skype.com/deb stable InRelease                                                                                                                       
OK:5 http://ftp-stud.hs-esslingen.de/ubuntu bionic-backports InRelease                                                                                                 
OK:6 http://ftp-stud.hs-esslingen.de/pub/Mirrors/packages.linuxmint.com tessa Release                                                                                   
OK:7 http://security.ubuntu.com/ubuntu bionic-security InRelease                                   
OK:8 http://archive.canonical.com/ubuntu bionic InRelease                   
Paketlisten werden gelesen... Fertig               
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Abhängigkeiten werden korrigiert ... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  libllvm7 linux-headers-4.15.0-50 linux-headers-4.15.0-50-generic linux-headers-4.15.0-51 linux-headers-4.15.0-51-generic linux-image-4.15.0-50-generic
  linux-image-4.15.0-51-generic linux-modules-4.15.0-50-generic linux-modules-4.15.0-51-generic linux-modules-extra-4.15.0-50-generic
  linux-modules-extra-4.15.0-51-generic
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
Die folgenden zusätzlichen Pakete werden installiert:
  cups-daemon e2fsprogs libpam-modules libsane-common libsmbclient libwbclient0 perl perl-base samba-common
Vorgeschlagene Pakete:
  cups-pdf smbclient gpart fuse2fs e2fsck-static perl-doc libterm-readline-gnu-perl | libterm-readline-perl-perl
Empfohlene Pakete:
  e2fsprogs-l10n update-motd
Die folgenden Pakete werden aktualisiert (Upgrade):
  cups-daemon e2fsprogs libpam-modules libsane-common libsmbclient libwbclient0 perl perl-base samba-common
9 aktualisiert, 0 neu installiert, 0 zu entfernen und 57 nicht aktualisiert.
8 nicht vollständig installiert oder entfernt.
Es müssen noch 0 B von 2.956 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 10,2 kB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] j
Vorkonfiguration der Pakete ...
(Lese Datenbank ... 427742 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../0-cups-daemon_2.2.7-1ubuntu2.8_amd64.deb ...
Entpacken von cups-daemon (2.2.7-1ubuntu2.8) über (2.2.7-1ubuntu2.7) ...
Vorbereitung zum Entpacken von .../1-libsane-common_1.0.27-1~experimental3ubuntu2.4_all.deb ...
Entpacken von libsane-common (1.0.27-1~experimental3ubuntu2.4) über (1.0.27-1~experimental3ubuntu2.1) ...
Vorbereitung zum Entpacken von .../2-libsmbclient_2%3a4.7.6+dfsg~ubuntu-0ubuntu2.21_amd64.deb ...
Entpacken von libsmbclient:amd64 (2:4.7.6+dfsg~ubuntu-0ubuntu2.21) über (2:4.7.6+dfsg~ubuntu-0ubuntu2.11) ...
Vorbereitung zum Entpacken von .../3-libwbclient0_2%3a4.7.6+dfsg~ubuntu-0ubuntu2.21_amd64.deb ...
Entpacken von libwbclient0:amd64 (2:4.7.6+dfsg~ubuntu-0ubuntu2.21) über (2:4.7.6+dfsg~ubuntu-0ubuntu2.11) ...
Vorbereitung zum Entpacken von .../4-samba-common_2%3a4.7.6+dfsg~ubuntu-0ubuntu2.21_all.deb ...
Entpacken von samba-common (2:4.7.6+dfsg~ubuntu-0ubuntu2.21) über (2:4.7.6+dfsg~ubuntu-0ubuntu2.11) ...
Vorbereitung zum Entpacken von .../5-e2fsprogs_1.44.1-1ubuntu1.3_amd64.deb ...
Entpacken von e2fsprogs (1.44.1-1ubuntu1.3) über (1.44.1-1ubuntu1.1) ...
e2fsprogs (1.44.1-1ubuntu1.3) wird eingerichtet ...
update-initramfs: deferring update (trigger activated)
(Lese Datenbank ... 427742 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../perl-base_5.26.1-6ubuntu0.5_amd64.deb ...
Entpacken von perl-base (5.26.1-6ubuntu0.5) über (5.26.1-6ubuntu0.3) ...
perl-base (5.26.1-6ubuntu0.5) wird eingerichtet ...
(Lese Datenbank ... 427742 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../perl_5.26.1-6ubuntu0.5_amd64.deb ...
Entpacken von perl (5.26.1-6ubuntu0.5) über (5.26.1-6ubuntu0.3) ...
perl (5.26.1-6ubuntu0.5) wird eingerichtet ...
(Lese Datenbank ... 427742 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../libpam-modules_1.1.8-3.6ubuntu2.18.04.2_amd64.deb ...
Entpacken von libpam-modules:amd64 (1.1.8-3.6ubuntu2.18.04.2) über (1.1.8-3.6ubuntu2.18.04.1) ...
libpam-modules:amd64 (1.1.8-3.6ubuntu2.18.04.2) wird eingerichtet ...
libwbclient0:amd64 (2:4.7.6+dfsg~ubuntu-0ubuntu2.21) wird eingerichtet ...
samba-libs:amd64 (2:4.7.6+dfsg~ubuntu-0ubuntu2.21) wird eingerichtet ...
python-samba (2:4.7.6+dfsg~ubuntu-0ubuntu2.21) wird eingerichtet ...
samba-common (2:4.7.6+dfsg~ubuntu-0ubuntu2.21) wird eingerichtet ...
cups-daemon (2.2.7-1ubuntu2.8) wird eingerichtet ...
cups-core-drivers (2.2.7-1ubuntu2.8) wird eingerichtet ...
libsmbclient:amd64 (2:4.7.6+dfsg~ubuntu-0ubuntu2.21) wird eingerichtet ...
libsane-common (1.0.27-1~experimental3ubuntu2.4) wird eingerichtet ...
Neue Version der Konfigurationsdatei /etc/sane.d/epsonds.conf wird installiert ...
libsane1:amd64 (1.0.27-1~experimental3ubuntu2.4) wird eingerichtet ...
samba-common-bin (2:4.7.6+dfsg~ubuntu-0ubuntu2.21) wird eingerichtet ...
sane-utils (1.0.27-1~experimental3ubuntu2.4) wird eingerichtet ...
cups (2.2.7-1ubuntu2.8) wird eingerichtet ...
Updating PPD files for cups ...
bluez-cups (5.48-0ubuntu3.4) wird eingerichtet ...
Trigger für libc-bin (2.27-3ubuntu1) werden verarbeitet ...
Trigger für systemd (237-3ubuntu10.43) werden verarbeitet ...
Trigger für man-db (2.8.3-2ubuntu0.1) werden verarbeitet ...
Trigger für ufw (0.36-0ubuntu0.18.04.1) werden verarbeitet ...
Trigger für ureadahead (0.100.0-21) werden verarbeitet ...
ureadahead will be reprofiled on next reboot
Trigger für initramfs-tools (0.130ubuntu3.11) werden verarbeitet ...
update-initramfs: Generating /boot/initrd.img-4.15.0-128-generic
sabi@sabi-Lenovo-G550:~$

gemacht. Jetzt zeigt Synaptic keine defekten Pakete mehr.

Re: Updates auf 19.1 bringen defekte Pakete
« Antwort #3 am: 16.01.2021, 21:25:17 »
Diese 57 anstehenden Updates habe ich inzwischen gemacht.
Keinerlei Fehler mehr.
Ich bedanke mich für kompetente Hilfe.

sabi@sabi-Lenovo-G550:~$ apt-cache policy samba-libs python-samba cups cups-core-drivers libsane1 samba-common-bin sane-utils bluez-cups
samba-libs:
  Installiert:           2:4.7.6+dfsg~ubuntu-0ubuntu2.21
  Installationskandidat: 2:4.7.6+dfsg~ubuntu-0ubuntu2.21
  Versionstabelle:
 *** 2:4.7.6+dfsg~ubuntu-0ubuntu2.21 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
        100 /var/lib/dpkg/status
     2:4.7.6+dfsg~ubuntu-0ubuntu2 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic/main amd64 Packages
python-samba:
  Installiert:           2:4.7.6+dfsg~ubuntu-0ubuntu2.21
  Installationskandidat: 2:4.7.6+dfsg~ubuntu-0ubuntu2.21
  Versionstabelle:
 *** 2:4.7.6+dfsg~ubuntu-0ubuntu2.21 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
        100 /var/lib/dpkg/status
     2:4.7.6+dfsg~ubuntu-0ubuntu2 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic/main amd64 Packages
cups:
  Installiert:           2.2.7-1ubuntu2.8
  Installationskandidat: 2.2.7-1ubuntu2.8
  Versionstabelle:
 *** 2.2.7-1ubuntu2.8 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
        100 /var/lib/dpkg/status
     2.2.7-1ubuntu2 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic/main amd64 Packages
cups-core-drivers:
  Installiert:           2.2.7-1ubuntu2.8
  Installationskandidat: 2.2.7-1ubuntu2.8
  Versionstabelle:
 *** 2.2.7-1ubuntu2.8 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
        100 /var/lib/dpkg/status
     2.2.7-1ubuntu2 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic/main amd64 Packages
libsane1:
  Installiert:           1.0.27-1~experimental3ubuntu2.4
  Installationskandidat: 1.0.27-1~experimental3ubuntu2.4
  Versionstabelle:
 *** 1.0.27-1~experimental3ubuntu2.4 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1.0.27-1~experimental3ubuntu2.3 500
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
     1.0.27-1~experimental3ubuntu2 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic/main amd64 Packages
samba-common-bin:
  Installiert:           2:4.7.6+dfsg~ubuntu-0ubuntu2.21
  Installationskandidat: 2:4.7.6+dfsg~ubuntu-0ubuntu2.21
  Versionstabelle:
 *** 2:4.7.6+dfsg~ubuntu-0ubuntu2.21 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
        100 /var/lib/dpkg/status
     2:4.7.6+dfsg~ubuntu-0ubuntu2 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic/main amd64 Packages
sane-utils:
  Installiert:           1.0.27-1~experimental3ubuntu2.4
  Installationskandidat: 1.0.27-1~experimental3ubuntu2.4
  Versionstabelle:
 *** 1.0.27-1~experimental3ubuntu2.4 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1.0.27-1~experimental3ubuntu2.3 500
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
     1.0.27-1~experimental3ubuntu2 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic/main amd64 Packages
bluez-cups:
  Installiert:           5.48-0ubuntu3.4
  Installationskandidat: 5.48-0ubuntu3.4
  Versionstabelle:
 *** 5.48-0ubuntu3.4 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
        100 /var/lib/dpkg/status
     5.48-0ubuntu3 500
        500 http://ftp-stud.hs-esslingen.de/ubuntu bionic/main amd64 Packages
sabi@sabi-Lenovo-G550:~$ dpkg -l | egrep '  samba-libs|  python-samba |  cups |  cups-core-drivers |  libsane1|  samba-common-bin |  sane-utils |  bluez-cups '
ii  bluez-cups                                 5.48-0ubuntu3.4                                  amd64        Bluetooth printer driver for CUPS
ii  cups                                       2.2.7-1ubuntu2.8                                 amd64        Common UNIX Printing System(tm) - PPD/driver support, web interface
ii  cups-core-drivers                          2.2.7-1ubuntu2.8                                 amd64        Common UNIX Printing System(tm) - driverless printing
ii  libsane1:amd64                             1.0.27-1~experimental3ubuntu2.4                  amd64        API library for scanners
ii  python-samba                               2:4.7.6+dfsg~ubuntu-0ubuntu2.21                  amd64        Python bindings for Samba
ii  samba-common-bin                           2:4.7.6+dfsg~ubuntu-0ubuntu2.21                  amd64        Samba common files used by both the server and the client
ii  samba-libs:amd64                           2:4.7.6+dfsg~ubuntu-0ubuntu2.21                  amd64        Samba core libraries
ii  sane-utils                                 1.0.27-1~experimental3ubuntu2.4                  amd64        API library for scanners -- utilities
sabi@sabi-Lenovo-G550:~$